function [fitresult, gof] = DoubleGaussFit(x, intensity, exclude_zeros)
%CREATEFIT(X,INTENSITY)
%  Create a fit.
%
%  Data for 'untitled fit 1' fit:
%      X Input : x
%      Y Output: intensity
%  Output:
%      fitresult : a fit object representing the fit.
%      gof : structure with goodness-of fit info.
%
%  See also FIT, CFIT, SFIT.

%  Auto-generated by MATLAB on 25-Jan-2022 13:50:54


%% Fit: 'untitled fit 1'.
[xData, yData] = prepareCurveData( x, intensity );

% Set up fittype and options.
ft = fittype( 'gauss2' );
if exclude_zeros == true
    opts = fitoptions( 'Method', 'NonlinearLeastSquares' , 'Exclude', intensity==0);
else
    opts = fitoptions( 'Method', 'NonlinearLeastSquares');
end
opts.MaxIter=1000;
%opts.Display = 'Off';
opts.Lower = [0 0 0 0 0 0];  %give lower limits so no paramater can be less than 0.
%opts.StartPoint = [2500 7 5 2500 15 5];

% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );


end