/*
 * Macro template to process multiple images in a folder
 */

#@ File (label = "Input directory", style = "directory") input
#@ File (label = "Output directory", style = "directory") output


// See also Process_Folder.py for a version of this code
// in the Python scripting language.

setBatchMode(false) //Make sure the windows open
files_list = getFileList(input); //make a list of files in the directory

//Step 2 where you put the output file


//the for loop below iterates over all the images in a folder.
for (i = 0; i<files_list.length; i++){
  //Step 2 where you put the output file
 
  open(input+File.separator+files_list[i]);
  run("Z Project...", "projection=[Max Intensity]");
  MAX_title = getTitle(); //get the title of the current MAX image
  close(files_list[i]);
  run("ROI Manager...");  //opens the ROI manager for this image to save the ROIs

  j = 1; //start new loop so that we can label each cropped section
  do {
    waitForUser("Select a Chromosome");
    run("Duplicate...", "duplicate");   //duplicate the stack under box the user selected
    ImgName = getTitle();  //gets the title of the cropped image
    new_ImgName = toString(j)+ImgName;  //adds an integer to the cropped image, so that it is identifiable later in the ROI's and saved cropped images
    rename(new_ImgName);  //rename the cropped image to the new name

    ImgSave = output+ File.separator + new_ImgName;  //create a file path to save the new cropped renamed section
    saveAs("Tiff",ImgSave);  //save the cropped section
	close(ImgName);
    
        wait(100);  //wait a wee bit so the computer can close up everything before starting on the next loop

    selectWindow(MAX_title);  //adds the ROI to the ROI manager
    roiManager("Add");
    roiManager("Show All")
    j++;
    } while (getBoolean("Process another?"));  //decide if we want to process another from this image or not


out_file_name = output + File.separator + files_list[i] + '_ROI.zip';  //create a filepath to save the ROI's from this image
//print(out_file_name);  //sanity check print line, to make sure that the correct filepath is being specified.
roiManager("Save", out_file_name);  //save the ROIs to the path specified above
roiManager("Delete"); //delete the ROI's before the next loop
